﻿Imports System
Imports SolidFramework.Pdf
Imports SolidFramework.Pdf.Creators
Imports SolidFramework.Pdf.Creators.Plumbing
Imports SolidFramework.Plumbing

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function ConvertTiffToPdf(ByVal tiffPath As String, ByVal outputPath As String) As Boolean

            ' Create an ImagePrintProvider
            Using imagePrintProvider As ImagePrintProvider = New ImagePrintProvider()

                ' Set the type of image optimization to use
                imagePrintProvider.Optimize = Optimize.Professional

                ' Add the PDF file to convert
                imagePrintProvider.Print(tiffPath)

                ' Get the printed PdfDocument
                Dim document As PdfDocument = imagePrintProvider.PdfCreator.PdfDocument

                ' Save the printed PdfDocument
                document.Save(OverwriteMode.ForceOverwrite)
            End Using

            Console.WriteLine("Successfully converted " & tiffPath & " to " & outputPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
